<?php
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");
require_once("../../includes/academia.locale.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../../includes/lib_lenguaje.php");
$cleguaje=new cLanguage("../../phplang/");
 
if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 


$(document).ready(function(){
	var tbl_opciones=$("#generales");
	var plantilla_listado="list_est_notas.php";
	$("#ob_radio").buttonset().change(function(){
		if ($(':checked',this).val()=='3'){
			tbl_opciones.show('blind', 'slow');
			}
		else{
			if (tbl_opciones.is(':visible'))
				tbl_opciones.hide('blind', 'slow');
			
			if ($(':checked',this).val()=='2'){
				$("#retir").hide(); 
				$("#retirado").removeAttr("checked");
			}
			else
			{
				$("#retir").show(); 	
			}
			}
		plantilla_listado=$(':checked',this).attr("data-url")+".php";	
		});
	
	var grilla;
	var lastsel3;
	var datos=new Array();
	var cod_area="";
	
	var parametros="?tb=adm_sedes&cmps=cod_sede, initcap(nom_sede) as 'nom_sede'&ord=ORDER BY cod_sede ASC&grilla=1";	
	var parametros_jor="?tb=aux_jornadas&cmps=ide_jornada, nom_jornada&grilla=1";	
	
	var confgrid={
		
		height: 300,
		width:735,
		datatype: "local",
		data:[],
		hidegrid:false,
		multiselect: false,
		rowNum:300,
		rowList:[15,30,50],
		pgbutton:false,
		pager: '#pager_listados',
		viewrecords: true,
		scrollrows:true,
		caption:'<?php echo $cleguaje->Phrase('listados','titulogrilla') ?>',
		toolbar:[true,"top"],
		grouping:true,
		groupingView:{groupField:["sede"],
			groupCollapse:true,
			groupText:['<b>{0} - {1} Grupos</b>'],
			groupSummary : [true],
			showSummaryOnHide: false,
			}, 
 

		ondblClickRow:function(rowid){
		//	jQuery("#listado_estudiantes").expandSubGridRow(rowid)
		},
	
		colNames:[
			'<?php echo $cleguaje->Phrase('listados','cdgrupo') ?>',
			'<?php echo $cleguaje->Phrase('listados','sede') ?>',
			'<?php echo $cleguaje->Phrase('listados','jornada') ?>',
			'<?php echo $cleguaje->Phrase('listados','grado') ?>',
			'<?php echo $cleguaje->Phrase('listados','grupo') ?>',
			'<?php echo $cleguaje->Phrase('listados','num_estudiantes') ?>'
			
		],
		colModel:[
			{name:'codigo',index:'codigo',resizable:false,width:110,hidden:true, key:true},
			{name:'sede',index:'sede',resizable:false,width:200,summaryType:'count', summaryTpl : 'Total estudiantes'},
			{name:'jornada',index:'jornada', width:140, searchoptions:{searchhidden:true} },
			{name:'grado',index:'grado',resizable:false,width:160},
			{name:'grupo',index:'grupo',resizable:false,width:70, search:false},
			{name:'numero',index:'numero',resizable:false,width:100, search:false, sorttype:'integer',formatter:'integer',summaryType:'sum'},	
		],
		loadComplete:function(){
			cambiar_iconos('pager_estudiantes')
		},
		shrinkToFit:false,
	}
	
	
	$.ajax({
		url:'mod_reportes/listados/list_estudiantes.php',
		dataType:"json",
		//async:false,
		success: function(rta){
			if(rta===null)
				rta=[]; 
			confgrid.data=rta;
			grilla=jQuery("#listado_estudiantes").jqGrid(confgrid);		
			coloca_boton({
				id:'boton', 
				elem:'t_listado_estudiantes',
				buttonicon:'ui-btn-pdf',
				title:'<?php echo $dtsLang['reportes']['title_pdf']; ?>',
				caption:'<?php echo $dtsLang['reportes']['title_pdf']; ?>',
				
				onClickButton:function(){
					var gruposel=(grilla.getGridParam("selrow"));
					if (gruposel!=null){
						var datagroup=grilla.getRowData(gruposel);
						var datos='codgru='+gruposel+'&sede='+datagroup.sede+'&jorn='+datagroup.jornada+'&grado='+datagroup.grado+'&grupo='+datagroup.grupo+'&num='+datagroup.numero;
						
						var var_cheq="";
						var var_opti=$("#ob_chequeos").serialize();
						if ($(':checked',$("#ob_radio")).val()=='3'){
								var_cheq='&'+$("#cb_chequeos").serialize();
							}
						$.fn.colorbox({
							href: "mod_reportes/listados/"+plantilla_listado+'?'+datos+'&'+var_opti+var_cheq,iframe:true, height:"600px",width:"800px"
						})
					}
					else
					{
						jAlert('<?php echo $cleguaje->Phrase('listados','selrec'); ?>','<?php echo $cleguaje->Phrase('project','empresa'); ?>');	
					}	
				}
			});
			coloca_boton({
				id:'boton_xls',
				elem:'t_listado_estudiantes',
				buttonicon:'icon-excel',
				title:'<?php echo $cleguaje->Phrase('listados','title_pdf'); ?>',
				caption:'Reporte en excel',
				
				onClickButton:function(){
					var gruposel=(grilla.getGridParam("selrow"));
					if (gruposel!=null){
						var datagroup=grilla.getRowData(gruposel);
						var datos='codgru='+gruposel+'&sede='+datagroup.sede+'&jorn='+datagroup.jornada+'&grado='+datagroup.grado+'&grupo='+datagroup.grupo+'&num='+datagroup.numero;
						
						var var_cheq="";
						var var_opti=$("#ob_chequeos").serialize();
						if ($(':checked',$("#ob_radio")).val()=='3'){
								var_cheq='&'+$("#cb_chequeos").serialize();
							}
						$("#objDescargas").attr("src","mod_reportes/listado_est_xsl/inicio_list_est_xls.php?"+datos+'&'+var_opti+var_cheq);
					}
					else
					{
						jAlert('<?php echo $cleguaje->Phrase('listados','selrec'); ?>','<?php echo $cleguaje->Phrase('project','empresa'); ?>');	
					}	
				}
			});
			
			$("#help_listado_estudiantes").append('Agrupar por: <select id="chngroup" > <option value="sede">Sedes</option> <option value="jornada">Jornadas</option> <option value="grado">Grados</option> </select>');
			
			jQuery("#listado_estudiantes").jqGrid('navGrid','#pager_estudiantes',{add:false,edit:false,del:false}, {}, {}, {}, {
				multipleSearch:true,
				modal:false,
				resize : false,
				width:"auto",
			});
		
			jQuery("#listado_estudiantes").jqGrid('setGroupHeaders', {
				useColSpanStyle: true, 
				groupHeaders:[
					{startColumnName: 'numedocumento_est', numberOfColumns: 6, titleText: '<em>Información personal</em>'},
					{startColumnName: 'estado_est', numberOfColumns: 4, titleText: '<em><?php echo $cleguaje->Phrase('estudiantes','info_academica') ?></em>'}
				]
			});
			
			
				$("#chngroup").change(function(){ 
				var vl = $(this).val(); 
				if(vl) { 
					if(vl == "clear") { 
						grilla.jqGrid('groupingRemove',true); 
					} 
					else 
					{ 
						grilla.jqGrid('groupingGroupBy',vl); 
					} 
				} 
				});
			}
		})
});
</script>
<title>Estudiantes</title>
</head>

<body>
<form id="ob_chequeos">
<table align="center">
<tr><td>
<table align="left" >
	<tr><td><div id="ob_radio">
  <input name="ob_radio" type="radio" data-url="list_est_notas" id="ob_notas1"  value="1" checked="checked"/>
  <label for="ob_notas1">Notas</label>
  <input type="radio" name="ob_radio" data-url="list_est_asistencia" id="ob_notas2" value="2" />
  <label for="ob_notas2">Asistencia</label>
  <input type="radio" name="ob_radio" data-url="list_est_otras" id="ob_notas3" value="3" style="display:none"/>
  <label for="ob_notas3" style="display:none">Otras opciones... </label></div></td>
  </tr></table>
</td><td >&nbsp;</td><td>
<table align="left" >
	<tr>
	  <td class="ui-widget-header">Orientación de la hoja</td></tr><tr><td><input name="ob_orientacion" type="radio" id="ob_orientacion1"  value="P" checked="checked"/>
  <label for="ob_orientacion1">Vertical</label></td></tr><tr><td>
  <input type="radio" name="ob_orientacion" id="ob_orientacion2" value="L" />
  <label for="ob_orientacion2">Horizontal</label></td></tr><tr>
  </tr></table>
  </td>
  <td >&nbsp;</td><td>
<table align="left">
	<tr><td class="ui-widget-header">Tamaño de la hoja</td></tr>
    <tr><td>
  <input name="ob_tamano" type="radio" id="ob_tamano1"  value="LETTER" checked="checked"/>
  <label for="ob_tamano1">Carta</label>
  </td></tr>
  <tr><td>
  <input type="radio" name="ob_tamano" id="ob_tamano2" value="LEGAL"/>
  <label for="ob_tamano2">Oficio</label>
</td></tr>
</table>
</td>
  
  <td >&nbsp;</td><td>
<table align="left" >
	<tr>
	  <td style="width:200px"><div id='retir'><input type="checkbox" name="retirado" id="retirado" />
<label for="retirado">Agregar Retirados</label></div></td></tr></table>
</td>
</tr></table>
  
</form>

<br/><div id="generales" style="width:100%; display:none">
  <form id='cb_chequeos'>
  <table width="600px" border="0" align="center">
    <tr>
      <td colspan="3" align="center" class="ui-widget-header"><?php echo $cleguaje->Phrase('listados','titulo_gral') ?> <br> <?php  echo $cleguaje->Phrase('listados','descripcion_gral');  
	  ?>
      </td>
    </tr>
    <tr>
      <td>
        <input type="checkbox" name="cb_tipo_documento" id="cb_tipo_documento" class="campos" value='1'/>
        <label for="cb_tipo_documento" >Tipo Identificación</label>
      </td>
      <td><input type="checkbox" name="cb_documento" id="cb_documento" class="campos" value='1'/>
        <label for="cb_documento" >Nro. Identificación</label>
</td>
	<td><input type="checkbox" name="cb_genero" id="cb_genero" class="campos" value='1'/>
        <label for="cb_genero" >Género</label>
      </td>
    </tr>
    <tr>
      <td><input type="checkbox" name="cb_fecha_nac2" id="cb_fecha_nac2" class="campos" value='1'/>
      <label for="cb_fecha_nac2" >Fecha Nacimiento</label></td>
      <td><input type="checkbox" name="cb_edad" id="cb_edad" class="campos" value='1'/>
      <label for="cb_edad" >Edad</label>        <label for="cb_documento" ></label></td><td>
     <input type="checkbox" name="cb_lugar_nac" id="cb_lugar_nac" class="campos" value='1'/>
      <label for="cb_lugar_nac" >Lugar Nacimiento</label></td> 
    </tr>
    <tr>
      <td><input type="checkbox" name="cb_direccion" id="cb_direccion" class="campos" value='1'/>
      <label for="cb_direccion" >Dirección</label></td>
      <td><input type="checkbox" name="cb_telefono" id="cb_telefono" class="campos" value='1'/>
      <label for="cb_telefono" >Teléfono</label></td>
      <td><input type="checkbox" name="cb_mail" id="cb_mail" class="campos" value='1'/>
      <label for="cb_mail" >Correo Electrónico</label></td>
    </tr>
    <tr>
      <td><input type="checkbox" name="cb_resguardo" id="cb_resguardo" class="campos" value='1'/>
      <label for="cb_resguardo" >Resguardo</label></td>
      <td><input type="checkbox" name="cb_etnia" id="cb_etnia" class="campos" value='1'/>
      <label for="cb_etnia" >Etnia</label></td>
      <td><input type="checkbox" name="cb_discapacidad" id="cb_discapacidad" class="campos" value='1'/>
      <label for="cb_discapacidad" >Discapacidad</label></td>
    </tr>
    <tr>
      <td><input type="checkbox" name="cb_sisben" id="cb_sisben" class="campos" value='1'/>
      <label for="cb_sisben" >Sisben</label></td>
      <td><input type="checkbox" name="cb_estrato" id="cb_estrato" class="campos" value='1'/>
      <label for="cb_estrato" >Estrato</label></td>
      <td><input type="checkbox" name="cb_zona" id="cb_zona" class="campos" value='1'/>
      <label for="cb_zona" >Zona</label></td>
    </tr>
    <tr>
      <td><input type="checkbox" name="cb_madre" id="cb_madre" class="campos" value='1'/>
      <label for="cb_madre" >Madre Cabeza de hogar</label></td>
      <td><input type="checkbox" name="cb_restaurante" id="cb_restaurante" class="campos" value='1'/>
      <label for="cb_restaurante" >Restaurante</label></td>
      <td><input type="checkbox" name="cb_transporte" id="cb_transporte" class="campos" value='1'/>
      <label for="cb_transporte" >Transporte</label></td>
    </tr>
    <tr>
      <td><input type="checkbox" name="cb_estado" id="cb_estado" class="campos" value='1'/>
      <label for="cb_estado" >Estado</label></td>
      <td>&nbsp;</td>      <td>&nbsp;</td>
    </tr>
  </table>
	</form>
</div>

<table id="listado_estudiantes"></table>
		 <div id="pager_listados"></div>


<p>
  <?php 
	$academia->cerrar();
?>
</p>
  


</body> 
</html>